#
# spec file for package ghc-amazonka-glacier
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name amazonka-glacier
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        2.26
Summary:        Amazon Glacier SDK
License:        MPL-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-amazonka-core-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-amazonka-test-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
Amazon Glacier is a storage solution for "cold data." Amazon Glacier is an
extremely low-cost storage service that provides secure, durable, and
easy-to-use storage for data backup and archival. With Amazon Glacier,
customers can store their data cost effectively for months, years, or decades.
Amazon Glacier also enables customers to offload the administrative burdens of
operating and scaling storage to AWS, so they don't have to worry about
capacity planning, hardware provisioning, data replication, hardware failure
and recovery, or time-consuming hardware migrations. Amazon Glacier is a great
storage choice when low storage cost is paramount, your data is rarely
retrieved, and retrieval latency of several hours is acceptable. If your
application requires fast or frequent access to your data, consider using
Amazon S3. For more information, go to <http://aws.amazon.com/s3/ Amazon Simple
Storage Service (Amazon S3)>. You can store any kind of data in any format.
There is no maximum limit on the total amount of data you can store in Amazon
Glacier. If you are a first-time user of Amazon Glacier, we recommend that you
begin by reading the following sections in the /Amazon Glacier Developer
Guide/: -
<http://docs.aws.amazon.com/amazonglacier/latest/dev/introduction.html What is
Amazon Glacier> - This section of the Developer Guide describes the underlying
data model, the operations it supports, and the AWS SDKs that you can use to
interact with the service. -
<http://docs.aws.amazon.com/amazonglacier/latest/dev/amazon-glacier-getting-started.html
Getting Started with Amazon Glacier> - The Getting Started section walks you
through the process of creating a vault, uploading archives, creating jobs to
download archives, retrieving the job output, and deleting archives.

The types from this library are intended to be used with
<http://hackage.haskell.org/package/amazonka amazonka>, which provides
mechanisms for specifying AuthN/AuthZ information and sending requests.

Use of lenses is required for constructing and manipulating types.
This is due to the amount of nesting of AWS types and transparency regarding
de/serialisation into more palatable Haskell values. The provided lenses should
be compatible with any of the major lens libraries such as
<http://hackage.haskell.org/package/lens lens> or
<http://hackage.haskell.org/package/lens-family-core lens-family-core>.

See "Network.AWS.Glacier" or <https://aws.amazon.com/documentation/ the AWS
Documentation> to get started.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
